## PkEulaRequired PkEulaRequired — EulaRequired object |

## Synopsis

    struct              PkEulaRequired;
    struct              PkEulaRequiredClass;
    PkEulaRequired *    pk_eula_required_new                (void);

## Object Hierarchy

      GObject
       +----PkSource
             +----PkEulaRequired

## Properties

      "eula-id"                  gchar*                : Read / Write
      "license-agreement"        gchar*                : Read / Write
      "package-id"               gchar*                : Read / Write
      "vendor-name"              gchar*                : Read / Write

## Description

This GObject represents a eula_required from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Details

### struct PkEulaRequired

    struct PkEulaRequired;

### struct PkEulaRequiredClass

    struct PkEulaRequiredClass {
    	PkSourceClass parent_class;
    	/* padding for future expansion */
    	void (*_pk_reserved1) (void);
    	void (*_pk_reserved2) (void);
    	void (*_pk_reserved3) (void);
    	void (*_pk_reserved4) (void);
    	void (*_pk_reserved5) (void);
    };

### pk_eula_required_new ()

    PkEulaRequired *    pk_eula_required_new                (void);

Returns : | a new PkEulaRequired object.

Since 0.5.4

## Property Details

### The `"eula-id"` property

      "eula-id"                  gchar*                : Read / Write

Default value: NULL

Since 0.5.4

### The `"license-agreement"` property

      "license-agreement"        gchar*                : Read / Write

Default value: NULL

Since 0.5.4

### The `"package-id"` property

      "package-id"               gchar*                : Read / Write

Default value: NULL

Since 0.5.4

### The `"vendor-name"` property

      "vendor-name"              gchar*                : Read / Write

Default value: NULL

Since 0.5.4